Metodi di selezione

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Selection methods and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Navigare col mouse
Pagina successiva: Navigare col cubo Arrow-right.svg

Presentazione

I metodi di selezione in FreeCAD consentono di selezionare gli oggetti nell'interfaccia di FreeCAD: ad esempio nella vista 3D, nella struttura ad albero, nella vista selezione, e tramite altri dialoghi. Alcuni metodi di selezione sono specifici di un particolare ambiente e sono documentati nella documentazione specifica di tale ambiente.

Vista 3D

Nella vista 3D ci sono vari modi per selezionare gli oggetti.

Selezione semplice

La selezione semplice con il mouse (per impostazione predefinita clic sinistro) e la preselezione (passaggio del mouse) sono descritte nella pagina navigare col mouse.

Clic ripetuti

Il primo clic seleziona un sottoelemento (vertice, bordo o faccia) dell'oggetto sotto il mouse. Un secondo clic seleziona l'intero oggetto. Disponibile dalla versione 0.18

Il terzo clic estende la selezione al suo oggetto contenitore (Corpo di PartDesign, Parte e altri). Ulteriori clic espandono la selezione nella catena del contenitore. Disponibile dalla versione 0.19

Comandi di selezione

Vista selezione

La vista selezione mostra i nomi degli oggetti selezionati, incluso il loro nome completo all'interno di un oggetto, ad esempio, Unnamed#Body.Box001.Face17.

Permette anche di eseguire alcune azioni come visualizzare la selezione, e di inviare l'oggetto alla console Python.

Esportazione dell'oggetto

Questo dovrebbe essere aggiunto nella pagina visualizzare la selezione.

Selezionare un oggetto complesso, ad esempio un Corpo di PartDesign o una Parte, quindi nel pannello vista selezione selezionare nuovamente l'oggetto, quindi premere Ctrl + C sulla tastiera per aprire la finestra di dialogo Selezione oggetto. Ciò consente di copiare l'oggetto selezionato insieme a tutti o solo alcuni degli oggetti dipendenza di quell'oggetto. Ad esempio, per una Parte i possibili oggetti da selezionare includono la Parte stessa, ma anche la sua origine, i suoi tre assi di base (XYZ) e i suoi tre piani di base (XY , YZ, XZ).

Dopo aver premuto OK, gli oggetti selezionati vengono copiati in memoria e quindi possono essere incollati nel documento per duplicare solo questi oggetti.

ObjectSelection.png

Finestra di dialogo per la selezione degli oggetti avviata da vista selezione.

Vista ad albero

Nella vista ad albero gli elementi possono essere selezionati o deselezionati uno alla volta, tenendo premuto il tasto Ctrl e facendo clic con il mouse.

È possibile selezionare un intervallo di elementi facendo clic sul primo elemento, tenendo premuto Maiusc e facendo clic sull'ultimo elemento.

La selezione di un singolo elemento mostrerà anche le sue proprietà nell'editore delle proprietà.

Facendo doppio clic si apre la scheda azioni contente tutte le azioni associate. Assicurarsi di chiudere questo pannello delle azioni prima di eseguire un altro comando o di passare a qualsiasi altro ambiente.

Sono disponibili altri metodi aprendo il menu di scelta rapida (tasto destro), a seconda dell'oggetto selezionato o dell'ambiente attivo; vedere le informazioni in vista ad albero.

Script

La selezione di oggetti è intrinsecamente un'attività grafica e pertanto è disponibile solo quando è caricata l'interfaccia utente grafica.

Questi comandi possono essere utilizzati nelle macro o dalla console Python.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

Il comando addSelectionGate impedisce all'utente di selezionare oggetti non specificati nella stringa di selezione. Viene visualizzato un simbolo quando il puntatore si trova su un elemento che non è nel gruppo specificato.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

Vedere nella Documentazione del codice sorgente e nella Documentazione dei moduli Python per ulteriori aiuti sull'uso di questi strumenti.


Arrow-left.svg Pagina precedente: Navigare col mouse
Pagina successiva: Navigare col cubo Arrow-right.svg